// creator  : weidu.exe (version 23100)
// argument : DHALF1.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~DHALF1~ 2 // non-zero flags may indicate non-pausing dialogue
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #2 /* Triggers after states #: 4 5 even though they appear after this state */
~RandomNum(4,1)~ THEN BEGIN 0 // from:
  SAY #22445 /* ~You can't be too careful around here... there's no guards to protect us little folk from the ruffians!~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #3 /* Triggers after states #: 4 5 even though they appear after this state */
~RandomNum(4,2)~ THEN BEGIN 1 // from:
  SAY #22446 /* ~You have to stay away from the Shadow Thief buildings... they don't like prying eyes, you know.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #4 /* Triggers after states #: 4 5 even though they appear after this state */
~RandomNum(4,3)~ THEN BEGIN 2 // from:
  SAY #22447 /* ~I'm no pickpocket!  Why are you lookin' at me like that?~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #5 /* Triggers after states #: 4 5 even though they appear after this state */
~RandomNum(4,4)~ THEN BEGIN 3 // from:
  SAY #22448 /* ~I've seen the thieves fightin' each other 'round here, as of late.  Makes me shudder right down to me foot-hairs just to think what's going on.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~See("Jaheira")
InParty("Jaheira")
!StateCheck("Jaheira",STATE_SLEEPING)
RandomNum(2,1)
Global("dhalf1jaheira","AR0500",0)
~ THEN BEGIN 4 // from:
  SAY #22449 /* ~Gosh... I sure don't like it around here.  I wish I could go back to the burrows one day.~ */
  IF ~~ THEN DO ~SetGlobal("dhalf1jaheira","AR0500",1)~ EXTERN ~JAHEIRAJ~ 216
END

IF WEIGHT #1 ~See("Mazzy")
InParty("Mazzy")
!StateCheck("Mazzy",STATE_SLEEPING)
RandomNum(2,1)
Global("dhalf1mazzy","AR0500",0)
~ THEN BEGIN 5 // from:
  SAY #22451 /* ~This is a terrible place.  You all shouldn't be around here.~ */
  IF ~~ THEN DO ~SetGlobal("dhalf1mazzy","AR0500",1)~ EXTERN ~MAZZYJ~ 73
END
